Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.base
Class Joiner.MapJoiner

    java.lang.Object
      com.google.common.base.Joiner.MapJoiner

Enclosing class:
  Joiner

    public static final class Joiner.MapJoiner

extends Object

An object that joins map entries in the same manner as `Joiner` joins iterables and arrays. Like `Joiner`, it is thread-safe and immutable.

In addition to operating on `Map` instances, `MapJoiner` can operate on `Multimap` entries in two distinct modes:

- To output a separate entry for each key-value pair, pass `multimap.entries()` to a `MapJoiner` method that accepts entries as input, and receive output of the form `key1=A&key1=B&key2=C`.
- To output a single entry for each key, pass `multimap.asMap()` to a `MapJoiner` method that accepts a map as input, and receive output of the form `key1=[A, B]&key2=C`.

Since:
  2.0 (imported from Google Collections Library)

Method Summary
`
`<A extends Appendable> A`
` | `appendTo(A appendable, Iterable<? extends Map.Entry<?,?>> entries)` Appends the string representation of each entry in `entries`, using the previously configured separator and key-value separator, to `appendable`.
`
`<A extends Appendable> A`
` | `appendTo(A appendable, Map<?,?> map)` Appends the string representation of each entry of `map`, using the previously configured separator and key-value separator, to `appendable`.
`StringBuilder` | `appendTo(StringBuilder builder, Iterable<? extends Map.Entry<?,?>> entries)` Appends the string representation of each entry in `entries`, using the previously configured separator and key-value separator, to `builder`.
`StringBuilder` | `appendTo(StringBuilder builder, Map<?,?> map)` Appends the string representation of each entry of `map`, using the previously configured separator and key-value separator, to `builder`.
`String` | `join(Iterable<? extends Map.Entry<?,?>> entries)` Returns a string containing the string representation of each entry in `entries`, using the previously configured separator and key-value separator.
`String` | `join(Map<?,?> map)` Returns a string containing the string representation of each entry of `map`, using the previously configured separator and key-value separator.
`Joiner.MapJoiner` | `useForNull(String nullText)` Returns a map joiner with the same behavior as this one, except automatically substituting `nullText` for any provided null keys or values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### appendTo

    public <A extends Appendable> A appendTo(A appendable,
                                             Map<?,?> map)
                                  throws IOException

  Appends the string representation of each entry of `map`, using the previously configured separator and key-value separator, to `appendable`.

  Throws:
    `IOException`

### appendTo

    public StringBuilder appendTo(StringBuilder builder,
                                  Map<?,?> map)

  Appends the string representation of each entry of `map`, using the previously configured separator and key-value separator, to `builder`. Identical to `appendTo(Appendable, Map)`, except that it does not throw `IOException`.

### join

    public String join(Map<?,?> map)

  Returns a string containing the string representation of each entry of `map`, using the previously configured separator and key-value separator.

### appendTo

    @Beta
    public <A extends Appendable> A appendTo(A appendable,
                                                  Iterable<? extends Map.Entry<?,?>> entries)
                                  throws IOException

  Appends the string representation of each entry in `entries`, using the previously configured separator and key-value separator, to `appendable`.

  Throws:
    `IOException`
  Since:
    10.0

### appendTo

    @Beta
    public StringBuilder appendTo(StringBuilder builder,
                                       Iterable<? extends Map.Entry<?,?>> entries)

  Appends the string representation of each entry in `entries`, using the previously configured separator and key-value separator, to `builder`. Identical to `appendTo(Appendable, Iterable)`, except that it does not throw `IOException`.

  Since:
    10.0

### join

    @Beta
    public String join(Iterable<? extends Map.Entry<?,?>> entries)

  Returns a string containing the string representation of each entry in `entries`, using the previously configured separator and key-value separator.

  Since:
    10.0

### useForNull

    @CheckReturnValue
    public Joiner.MapJoiner useForNull(String nullText)

  Returns a map joiner with the same behavior as this one, except automatically substituting `nullText` for any provided null keys or values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2011. All Rights Reserved.